﻿@model SupportTicketViewModel
@{
    ViewBag.Title = "درخواست پشتیبانی " + Model.Id;
}

<div class="row m-t-20">
    <div class="col-md-3">
        <div class="card-box">
            <h5 class="m-t-0 font-18"><b>جزئیات تیکت</b></h5>
            <hr />
            <span class="font-13 m-0">وضعیت تیکت: <span class="badge badge-@Model.Status.ToDisplay(DisplayProperty.ShortName)">@Model.Status.ToDisplay()</span></span><br />
            <span class="font-13 m-0">دپارتمان: @Model.Department.ToDisplay()</span><br />
            @if (Model.UpdateUser != null)
            {
                <span class="font-13 m-0">پیگیری کننده تیکت: @Model.UpdateUser.FullName</span><br />
            }
            <div class="btn-group" role="group">
                <button class="btn btn-success" onclick="javascript:closeTicket(@Model.Id)"><span class="fa fa-check"></span> بستن تیکت</button>
            </div>
        </div>
    </div>
    <div class="col-md-9">
        <div class="card-box">
            <h4 class="m-t-0 font-18"><b>@Model.Subject</b></h4>
            <hr>
            <div class="media m-b-30">
                <div class="media-body">
                    <span class="media-meta pull-right">@Model.InsertDate.ToFaDateTimeZone()</span>
                    <h4 class="text-primary font-16 m-0"><a href="@Url.Action("Detail", "User")?id=@Model.EmailOrPhoneNumber" target="_blank">@Model.FullName</a></h4>
                    <a href="@Url.Action("Detail", "User")?id=@Model.EmailOrPhoneNumber" target="_blank"><small class="text-muted">فرستنده: @Model.EmailOrPhoneNumber</small></a>
                </div>
            </div>
            <p>@Model.Text</p>
        </div>
        @if (Model.Replies != null && Model.Replies.Any())
        {
            foreach (var item in Model.Replies)
            {
                <hr />
                <div class="card-box m-t-20" style="@(item.IsSupportReply ? "background-color:#808080; border-color:#565656; color:#fff !important;" : "")">
                    <div class="media m-b-30">
                        <div class="media-body">
                            <span class="media-meta pull-right">@item.InsertDate.ToFaDateTimeZone()</span>
                            <h4 class="text-primary font-13 m-0">@item.InsertUserUserName</h4>
                            <small class="text-muted">فرستنده: @item.InsertUserFullName</small>
                        </div>
                    </div>
                    <p>@item.Text</p>
                </div>
            }
        }
        <hr />
        @using (Html.BeginForm("SendReply", "Support", new { TicketId = Model.Id }, FormMethod.Post))
        {
            <div class="form-group">
                <label class="col-form-label">متن پاسخ</label>
                <div class="input-group">
                    <span class="input-group-addon"><i class="fa fa-pencil"></i></span>
                    <textarea class="form-control" id="Text" name="Text" placeholder="متن پاسخ" rows="5"></textarea>
                </div>
            </div>
            <button type="submit" class="btn btn-lg btn-primary float-right">ارسال</button>
        }
    </div>
</div>

@section scripts{
    <script>
        function closeTicket(id) {
            doAjax({ id: id }, "@Url.Action("CloseOne")", function (data) {
                if (data.Status) {
                    window.location.reload();
                }
            });
        }
    </script>    
}